<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Освітні програми</title>
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Inter:wght@400;500;600;700&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/normalize/8.0.1/normalize.min.css"
        integrity="sha512-NhSC1YmyruXifcj/KFRWoC561YpHpc5Jtzgvbuzx5VozKpWvQ+4nXhPdFgmx8xqexRcpAglTj9sIBWINXa8x5w=="
        crossorigin="anonymous" referrerpolicy="no-referrer" />
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/magnific-popup.js/1.1.0/magnific-popup.min.css"
        integrity="sha512-+EoPw+Fiwh6eSeRK7zwIKG2MA8i3rV/DGa3tdttQGgWyatG/SkncT53KHQaS5Jh9MNOT3dmFL0FjTY08And/Cw=="
        crossorigin="anonymous" referrerpolicy="no-referrer" />
    <link rel="stylesheet" href="/styles/style.css">
    <link rel="stylesheet" href="../static/styles/style.css">

<body>
    <header>
        <div class="header">
            <img src="/images/logo.png" alt="logo">
            <nav>
                <ul class="nav">
                    <li class="nav_item">
                        <a th:href="@{/}" class="nav_link">Головна</a>
                    </li>
                    <li class="nav_item">
                        <a th:href="@{/}" class="nav_link">Групи</a>
                    </li>
                    <li class="nav_item">
                        <a th:href="@{/specialities}" class="nav_link">Освітні програми</a>
                    </li>

                </ul>
            </nav>
            <a th:if="${user == null}" th:href="@{/login}" class="button_sign">Вхід</a>
            <form th:if="${user != null}" th:action="@{/logout}" method="post"><input type="submit" class="button_exit" value="Вихід"></form>
        </div>
    </header>
    <section>
        <div class="results">
            <div class="line">
                <h1>Освітні програми</h1>
                <a th:if="${user != null}" href="#"  class="edit open-popup">Створити</a>
            </div>
            <! --------------------POP UP---------------->
            <div class="bottom-block"></div>

            <div th:if="${user != null}" class="popup-bg">
                <div class="popup">
                    <img class="close-popup" src="/images/close.png" alt="">
                    <form th:action="@{/speciality}" th:method="post">
                        <input type="text" name="name" placeholder="Загальна назва" maxlength="150" required>
                        <input type="text" name="program" placeholder="Освітня програма" maxlength="150" required>
                        <input type="text" name="shortName" placeholder="Скорочений запис" maxlength="2" required>
                        <input value="Зберегти" type="submit">
                    </form>
                </div>
            </div>
            <! --------------------POP UP---------------->
            <div class="results_box">
                <table>
                    <thead>
                        <tr>
                            <th>#</th>
                            <th>Загальна назва</th>
                            <th>Освітня програма</th>
                            <th>Скорочений запис</th>
                            <td>&nbsp;</td>
                            <td>&nbsp;</td>
                        </tr>
                    </thead>
                    <tbody>
                        <tr th:if="${user == null}" th:each="speciality : ${specialities}">
                                <td th:text="${specialityStat.count}">1</td>
                                <td th:text="${speciality.name}" maxlength="150" required></td>
                                <td th:text="${speciality.program}" maxlength="150" required></td>
                                <td th:text="${speciality.shortName}" maxlength="2" required></td>
                        </tr>
                        <tr th:if="${user != null}" th:each="speciality : ${specialities}">
                            <form th:action="@{/speciality/{id}(id=${speciality.id})}" th:method="put">
                                <td th:text="${specialityStat.count}">1</td>

                                <td><input style="border: 0; background: none; outline: none; width: 325px;" type="text" name="name" th:value="${speciality.name}" maxlength="150" required></td>
                                <td><input style="border: 0; background: none; outline: none; width: 450px;" type="text" name="program" th:value="${speciality.program}" maxlength="150" required></td>
                                <td><input style="border: 0; background: none; outline: none; width: 25px;" type="text" name="shortName" th:value="${speciality.shortName}" maxlength="2" required></td>

                                <td><input type="submit" value="Редагувати" class = "buttons"></td>
                            </form>

                            <td>
                                <form th:action="@{/speciality/{id}(id=${speciality.id})}" th:method="delete">
                                    <input type="submit" value="Видалити" class = "buttons2">
                                </form>
                            </td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </section>
    <footer>
        <div class="tail">
                 <p>©2022 Пацюки</p>
        </div>
    </footer>
    <script src="../static/js/jquery.min.js"></script>
    <script src="/js/jquery.min.js"></script>
    <script src="../static/js/main.js"></script>
    <script src="/js/main.js"></script>
</body>

</html>